commit:     9cde3c7b5bd3bf6ade9b637cdca2cfe1e91fa9ec
Author:     Christopher Fore <csfore <AT> posteo <DOT> net>
AuthorDate: Mon Nov 25 16:37:12 2024 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 15:29:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cde3c7b

sci-libs/libqalculate: add 5.4.0

- No SONAME changes
- Tests pass

Signed-off-by: Christopher Fore <csfore <AT> posteo.net>
Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 sci-libs/libqalculate/Manifest                  |  1 +
 sci-libs/libqalculate/libqalculate-5.4.0.ebuild | 87 +++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/sci-libs/libqalculate/Manifest b/sci-libs/libqalculate/Manifest
index a33a6eff340f..db94cdb369ac 100644
--- a/sci-libs/libqalculate/Manifest
+++ b/sci-libs/libqalculate/Manifest
@@ -1,2 +1,3 @@
 DIST libqalculate-5.2.0.tar.gz 2694752 BLAKE2B 
3be1a538c5093ba8915ed1c9a795f11b615a6ed6ef9aaf7539abad411040d8c87709611f6e0367884cfd25cd46356b9237fd9c665796a275d3ecebe4fbef3edb
 SHA512 
d849c315d3c35f97f47572c891bb2284db593d2bb5611d9405a1e7d00e849d35e08392fe6c67e5296311ed99597f76d25c3878cdcedadb2928699c22cba8af41
 DIST libqalculate-5.3.0.tar.gz 2705592 BLAKE2B 
8a42ab386e6b028c8e8429abedf0606e409c552a722b785bf621ea205fc792d9174fe8f62311fd7587c4a7f5d91fcbf7c1ce99ceb5d0c08ad2b696aba2f6856a
 SHA512 
41aa83a6448158ddfbf6b4e0a88062d20dd199d8bc1fa6f12b704fa0c4085ddac19bc1bc0a7e01e063221e157b1597cf8cc387ee226a90e228723fc0e2e2bed1
+DIST libqalculate-5.4.0.tar.gz 2720059 BLAKE2B 
e6ec9536a8b0ed3769c2a013bd267ca8202f58ebf54cd4c629d0d993cede797f2f547d02da50ced4ce94d41bbb8d54db9b4136451e960340c6bcd03c040080d6
 SHA512 
0539fe8053c903653b72716d0f7e5bc17d2ba954854d61f51bf62f2d9b6a02d3160be6a9f0208c67960ae5f9d831cc29eae4e80438cae482e6fb97e7686207e4

diff --git a/sci-libs/libqalculate/libqalculate-5.4.0.ebuild 
b/sci-libs/libqalculate/libqalculate-5.4.0.ebuild
new file mode 100644
index 000000000000..341483a69648
--- /dev/null
+++ b/sci-libs/libqalculate/libqalculate-5.4.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Bump with sci-calculators/qalculate-gtk and sci-calculators/qalculate-qt
+
+inherit flag-o-matic toolchain-funcs
+
+MY_PV="${PV//b/}"
+
+DESCRIPTION="A modern multi-purpose calculator library"
+HOMEPAGE="https://qalculate.github.io/";
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${MY_PV}/${P}.tar.gz";
+S="${WORKDIR}"/"${PN}-${MY_PV}"
+
+LICENSE="GPL-2+"
+# SONAME changes pretty often on bumps. Check!
+SLOT="0/23.3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86 ~amd64-linux ~x86-linux"
+IUSE="curl icu gnuplot +hardened readline test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/gmp:=
+       dev-libs/libxml2:2
+       dev-libs/mpfr:=
+       virtual/libiconv
+       curl? ( net-misc/curl )
+       icu? ( dev-libs/icu:= )
+       readline? ( sys-libs/readline:= )"
+RDEPEND="${DEPEND}
+       gnuplot? ( >=sci-visualization/gnuplot-3.7 )"
+BDEPEND="dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+       cat >po/POTFILES.skip <<-EOF || die
+               # Required by make check
+               data/currencies.xml.in
+               data/datasets.xml.in
+               data/elements.xml.in
+               data/functions.xml.in
+               data/planets.xml.in
+               data/prefixes.xml.in
+               data/units.xml.in
+               data/variables.xml.in
+               src/defs2doc.cc
+       EOF
+}
+
+src_configure() {
+       # Needed for po-defs/Makefile
+       export CXX_FOR_BUILD="$(tc-getBUILD_CXX)"
+       export CXXCPP_FOR_BUILD="$(tc-getBUILD_CXX) -E"
+
+       # bug #792027
+       tc-export CC
+
+       # bug #924939
+       use elibc_musl && append-ldflags -Wl,-z,stack-size=2097152
+
+       local myeconfargs=(
+               $(use_enable test tests)
+               $(use_enable test unittests)
+               $(use_with curl libcurl)
+               $(use_with gnuplot gnuplot-call)
+               $(use_enable !hardened insecure)
+               $(use_with icu)
+               $(use_with readline)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       # docs/reference/Makefile.am -> referencedir=
+       emake \
+               DESTDIR="${D}" \
+               referencedir="${EPREFIX}/usr/share/doc/${PF}/html" \
+               install
+
+       einstalldocs
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to